Loading...
Searching...
No Matches
Exiv2::Internal::binaryToStringHelper< T > Struct Template Reference

Helper struct for binary data output via binaryToString. More...

## Public Member Functions

constexpr | binaryToStringHelper (Slice< T > &&myBuf) noexcept

## Public Attributes

Slice< T > | buf_

## Detailed Description

template<typename T>
struct Exiv2::Internal::binaryToStringHelper< T >

Helper struct for binary data output via binaryToString.

The only purpose of this struct is to provide a custom `operator<<(std::ostream&)` for the output of binary data, that is not used for all Slices by default.

The documentation for this struct was generated from the following file:

- image_int.hpp